image: mcr.microsoft.com/dotnet/sdk:8.0

stages:
  - build
  - test

variables:
  test: "src/Otus.Teaching.PromoCodeFactory.UnitTests"  
  sln: "src"  

before_script:
  - "dotnet restore $sln"

build:
  stage: build
  script: 
    - "dotnet build $sln"
    
test:
  stage: test
  script: 
    - "cd $test"
    - "dotnet test"